Visa API

Direct integration with Visa-provided services — FX rate retrieval and funds-transfer enquiry — exposed through Paynetics' API.

Use these endpoints to look up Visa's published exchange rates before initiating a cross-currency transfer, and to query the status / availability of a funds transfer.

Visa API Integration — FX

Retrieve Visa's current FX rate for a currency pair before initiating a cross-currency transfer.

POST /v2/visa/fx
Operation visa_fx

Request body

Field Type Description
rate_product_code string (0,any)
source_currency_code string (3,3)
destination_currency_code string (3,3)
source_amount number (0,any)
destination_amount number (0,any)

Example request

{
    "rate_product_code": "A",
    "source_currency_code": "840",
    "destination_currency_code": "978",
    "source_amount": 100,
    "destination_amount": 92.5
}

Response

Field Type Description
conversion_rate string (0,any)
source_currency_code string (0,any)
destination_currency_code string (0,any)
source_amount number (0,any)
destination_amount number (0,any)

Example response

{
    "conversion_rate": "0.873598965757",
    "source_currency_code": "USD",
    "destination_currency_code": "EUR",
    "source_amount": 100,
    "destination_amount": 92.5
}

Visa API Integration — Transfer Enquiry

Query the availability or status of a Visa funds-transfer (OCT / AFT / similar) before sending the actual transaction.

POST /v2/visa/funds-transfer-inquiry
Operation visa_funds_transfer_inquiry

Request body

Field Type Description
systems_trace_audit_number string (0,any)
primary_account_number string (0,any)
retrieval_reference_number string (0,any)

Example request

{
    "systems_trace_audit_number": "350420",
    "primary_account_number": "4895142232120006",
    "retrieval_reference_number": "401010350420"
}

Response

Field Type Description

Example response

{
    "visa_network_info": [
        {
            "card_type_code": "D",
            "billing_currency_code": 840,
            "billing_currency_minor_digits": 2,
            "issuer_name": "Visa Test Bank",
            "card_issuer_country_code": 840,
            "fast_funds_indicator": "B",
            "push_funds_block_indicator": "C",
            "online_gambling_block_indicator": "N"
        }
    ]
}
esc
navigate open esc close
Copied